nz-spin([nzSpinning]="loading", nzTip="Loading outputs", [nzDelay]="200")
  nz-empty.m2(*ngIf="!workflowModuleOutputs?.length", nzNotFoundContent="No outputs")
  ng-container(*ngFor="let workflowModuleOutputItem of workflowModuleOutputs; trackBy: trackItemById")
    ng-container(*ngTemplateOutlet="itemTemplate; context: { $implicit: workflowModuleOutputItem }")
  button.mt1(*ngIf="workflowModule?.hasDynamicOutputs", nz-button, nzBlock, nzType="primary", (click)="onAddOutput()", [disabled]="isButtonDisabled")
    i(nz-icon, nzType="plus")
    span Add output
